pcl::visualization::PointCloudColorHandlerRGBHack< PointT > Class Template Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu_large_scale/tools/color_handler.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerRGBHack< PointT >:

## Public Types

typedef boost::shared_ptr< PointCloudColorHandlerRGBHack< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandlerRGBHack< PointT > > | ConstPtr
Public Types inherited from pcl::visualization::PointCloudColorHandler< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudColorHandler< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudColorHandler< PointT > > | ConstPtr

## Public Member Functions

| PointCloudColorHandlerRGBHack (const PointCloudConstPtr &cloud, const RgbCloudConstPtr &colors)
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const
| Obtain the actual color for the input dataset as vtk scalars. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< PointT >
| PointCloudColorHandler ()
| Constructor. More...
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudColorHandlerRGBHack< PointT >

Definition at line 49 of file color_handler.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

typedef boost::shared_ptr<const PointCloudColorHandlerRGBHack<PointT> > pcl::visualization::PointCloudColorHandlerRGBHack< PointT >::ConstPtr

Definition at line 59 of file color_handler.h.

## Ptr

template<typename PointT >

typedef boost::shared_ptr<PointCloudColorHandlerRGBHack<PointT> > pcl::visualization::PointCloudColorHandlerRGBHack< PointT >::Ptr

Definition at line 58 of file color_handler.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerRGBHack()

template<typename PointT >

pcl::visualization::PointCloudColorHandlerRGBHack< PointT >::PointCloudColorHandlerRGBHack | ( | const PointCloudConstPtr & | cloud,
|  | const RgbCloudConstPtr & | colors
| ) |  |

inline

Definition at line 61 of file color_handler.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

## Member Function Documentation

## getColor()

template<typename PointT >

virtual bool pcl::visualization::PointCloudColorHandlerRGBHack< PointT >::getColor | ( | vtkSmartPointer< vtkDataArray > & | scalars | ) | const

inline virtual

Obtain the actual color for the input dataset as vtk scalars.

Parameters

  [out] | scalars | the output scalars containing the color for the dataset

Returns
  true if the operation was successful (the handler is capable and the input cloud was given as a valid pointer), false otherwise

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 68 of file color_handler.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_, and pcl::visualization::PointCloudColorHandler< PointT >::cloud_.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu_large_scale/tools/color_handler.h